Description

Supportanfrage

The feature is missing in ADTF3. This was possible and required (remote desktop support) in ADTF2.

Lösung

We are not using any accelerated graphics on our own, but rely on Qt to select the proper backend.

In ADTF2 this setting only changed the behavior of the Video Display Filter to not use OpenGL directly but to use the Qt painter API.

It had no effect on the Qt (QtWidgets) based ADTF GUI.

In ADTF3 we heavily rely on Qts QML technology, which uses accelerated graphics by default.

I tested right now using remote (Win10-Win10), starting CE, launching a session, attaching with GUI Control and some basic stuff, no

problems using UI, no additional settings made.

As already mention, we occuring some trouble in virtualization regarding graphic devices, but then changing the software rendering

as described works perfect.

But for remote access I can't figure out any problems so far.

History

#1 - 2020-02-04 08:44 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

- Support Level changed from 2nd Level to 3rd Level

Hi Bane,

this is currently neither a feature nor required... so far.

We did not run in any trouble for remote setups, do you encounter any problems ?

In my VERY humble option regarding this feature, I think in Windows 10 it is not required and can be handled by OS settings.

Another thing is that you do not have to work remote, because whole ADTF 3.x toolset works remote.

So there is no need to virtualize on a far host, you can attach there.

@Martin/Sebastian: Any information for this option ?

#2 - 2020-02-04 08:50 - hidden

By default, Windows Server 2016 and Windows 10 do not enable the GPU for rendering over Remote Desktop. If I have to support remotely I'll get

black screen.

Please note we can not change OS settings in our Bosch environment. This is a blocker for support use case.

Please note a standard Bosch user can not change the registry settings:

https://community.esri.com/thread/225251-enabling-gpu-rendering-on-windows-server-2016-windows-10-rdp

#3 - 2020-02-04 09:00 - hidden

OK, we will check for the topic...

Does it work, to configure Qt rendering before, by setting environment variable QT_QUICK_BACKEND=software before starting CE ?
#4 - 2020-02-04 13:13 - hidden

Hi Bane,

we are not using any accelerated graphics on our own, but rely on Qt to select the proper backend.

In ADTF2 this setting only changed the behavior of the Video Display Filter to not use OpenGL directly but to use the Qt painter API. It had no effect

on the Qt (QtWidgets) based ADTF GUI.

In ADTF3 we heavily rely on Qts QML technology, which uses accelerated graphics by default. As Florian pointed out there is a software render as

fallback, so please give this a try.

Regards,

Maritn

#5 - 2020-02-06 15:08 - hidden

Hi Martin,

that means remote desktop support shall work w/o problems? I mean did you test this?

if so please close this ticket.

Thanks, Bane

#6 - 2020-02-06 15:19 - hidden

@Bane, I think there has been a misunderstanding. We thought you already encountered problems running ADTF3 (Launcher or CE) on a remote

desktop, but if I do understand you correctly now, you have not tried to run it in your remote environment yet?

@Flo Can you please elaborate on what remote setups we have tested so far?

#7 - 2020-02-07 10:51 - hidden

I tested right now using remote (Win10-Win10), starting CE, launching a session, attaching with GUI Control and some basic stuff, no problems using

UI, no additional settings made.

As already mention, we occuring some trouble in virtualization regarding graphic devices, but then changing the software rendering as described

works perfect.

But for remote access I can't figure out any problems so far.

#8 - 2020-02-07 10:54 - hidden

if the basic watch example works, you can close this. Thanks

#9 - 2020-02-07 11:02 - hidden

- Project changed from 5 to Public Support

- Subject changed from disable GPU hardware acceleration to Missing disable GPU hardware acceleration

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#11 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
